<?php
/* $Id: perfsCache.php,v 1.9 2010/02/28 00:03:10 sarterm Exp $ */
header("Content-Type: text/html; charset=UTF-8");
include("../src/navigateur.cls.php");
ini_set("max_execution_time", 0);
$cfgIBDIN["useCacheAgents"] = true;

echo "<h1>Tests avec la base complète - passe 1 (construction du cache)</h1>\n";
{
    $obj = new IBDNavigateur(false, true);
    $obj->viderCache();
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];

    $i = 0;
    $file = fopen("liste.txt", "r");
    while (!feof($file)) {
        $line = fgets($file);
        $obj->IBDNavigateur($line, true);
        $i++;
    }
    fclose($file);

    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo "<pre>\n";
echo("**********\n");
echo("Traitement $i agents à la suite : ".($end - $start)."\n");
echo("Temps/agent : ".(($end - $start)/$i)."\n");
{
    $obj = new IBDNavigateur(false, true);
    $obj->viderCache();
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];

    $i = 0;
    $file = fopen("liste.txt", "r");
    while (!feof($file)) {
        $line = fgets($file);
        $obj = new IBDNavigateur($line, true);
        $i++;
    }
    fclose($file);

    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo("Traitement $i agents séparément : ".($end - $start)."\n");
echo("Temps/agent : ".(($end - $start)/$i)."\n");
echo("**********\n");
echo "</pre>\n";

echo "<h1>Tests avec la base complète - passe 2 (cache construit)</h1>\n";
{
    $obj = new IBDNavigateur(false, true);
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];

    $i = 0;
    $file = fopen("liste.txt", "r");
    while (!feof($file)) {
        $line = fgets($file);
        $obj->IBDNavigateur($line, true);
        $i++;
    }
    fclose($file);

    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo "<pre>\n";
echo("**********\n");
echo("Traitement $i agents à la suite : ".($end - $start)."\n");
echo("Temps/agent : ".(($end - $start)/$i)."\n");
{
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];

    $i = 0;
    $file = fopen("liste.txt", "r");
    while (!feof($file)) {
        $line = fgets($file);
        $obj = new IBDNavigateur($line, true);
        $i++;
    }
    fclose($file);

    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo("Traitement $i agents séparément : ".($end - $start)."\n");
echo("Temps/agent : ".(($end - $start)/$i)."\n");
echo("**********\n");
echo "</pre>\n";

echo "<h1>Tests avec la base lite - passe 1 (construction du cache)</h1>\n";
{
    $obj = new IBDNavigateur(false, false);
    $obj->viderCache("lite_");
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];

    $i = 0;
    $file = fopen("liste.txt", "r");
    while (!feof($file)) {
        $line = fgets($file);
        $obj->IBDNavigateur($line, false);
        $i++;
    }
    fclose($file);

    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo "<pre>\n";
echo("**********\n");
echo("Traitement $i agents à la suite : ".($end - $start)."\n");
echo("Temps/agent : ".(($end - $start)/$i)."\n");
{
    $obj = new IBDNavigateur(false, false);
    $obj->viderCache("lite_");
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];

    $i = 0;
    $file = fopen("liste.txt", "r");
    while (!feof($file)) {
        $line = fgets($file);
        $obj = new IBDNavigateur($line, false);
        $i++;
    }
    fclose($file);

    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo("Traitement $i agents séparément : ".($end - $start)."\n");
echo("Temps/agent : ".(($end - $start)/$i)."\n");
echo("**********\n");
echo "</pre>\n";

echo "<h1>Tests avec la base lite - passe 2 (cache construit)</h1>\n";
{
    $obj = new IBDNavigateur(false, false);
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];

    $i = 0;
    $file = fopen("liste.txt", "r");
    while (!feof($file)) {
        $line = fgets($file);
        $obj->IBDNavigateur($line, false);
        $i++;
    }
    fclose($file);

    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo "<pre>\n";
echo("**********\n");
echo("Traitement $i agents à la suite : ".($end - $start)."\n");
echo("Temps/agent : ".(($end - $start)/$i)."\n");
{
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];

    $i = 0;
    $file = fopen("liste.txt", "r");
    while (!feof($file)) {
        $line = fgets($file);
        $obj = new IBDNavigateur($line, false);
        $i++;
    }
    fclose($file);

    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo("Traitement $i agents séparément : ".($end - $start)."\n");
echo("Temps/agent : ".(($end - $start)/$i)."\n");
echo("**********\n");
echo "</pre>\n";
?>
