<?php
/* $Id: init.php,v 1.10 2010/02/27 22:47:49 sarterm Exp $ */
header("Content-Type: text/html; charset=UTF-8");
include("../src/navigateur.cls.php");
ini_set("max_execution_time", 0);

$nbOccur = 100;

$cfgIBDIN["useCache"] = true;

echo "<h1>Test avec la base complète et le cache</h1>\n";
{
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];
    for ($i = 0; $i < $nbOccur; $i++) {
        $obj = new IBDNavigateur(false, true);
    }
    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo "<pre>\n";
echo("**********\n");
echo("$nbOccur*Init : ".(($end-$start))."\n");
echo("Init : ".(($end - $start)/$nbOccur)."\n");
echo("**********\n");
echo "</pre>\n";

echo "<h1>Test avec la base lite et le cache</h1>\n";
{
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];
    for ($i = 0; $i < $nbOccur; $i++) {
        $obj = new IBDNavigateur(false, false);
    }
    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo "<pre>\n";
echo("**********\n");
echo("$nbOccur*Init : ".(($end-$start))."\n");
echo("Init : ".(($end - $start)/$nbOccur)."\n");
echo("**********\n");
echo "</pre>\n";

$cfgIBDIN["useCache"] = false;

echo "<h1>Test avec la base complète sans cache</h1>\n";
{
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];
    for ($i = 0; $i < $nbOccur; $i++) {
        $obj = new IBDNavigateur(false, true);
    }
    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo "<pre>\n";
echo("**********\n");
echo("$nbOccur*Init : ".(($end-$start))."\n");
echo("Init : ".(($end - $start)/$nbOccur)."\n");
echo("**********\n");
echo "</pre>\n";

echo "<h1>Test avec la base lite sans cache</h1>\n";
{
    $now = explode(' ',microtime());
    $start = $now[0] + $now[1];
    for ($i = 0; $i < $nbOccur; $i++) {
        $obj = new IBDNavigateur(false, false);
    }
    $now = explode(' ',microtime());
    $end = $now[0] + $now[1];
}
echo "<pre>\n";
echo("**********\n");
echo("$nbOccur*Init : ".(($end-$start))."\n");
echo("Init : ".(($end - $start)/$nbOccur)."\n");
echo("**********\n");
echo "</pre>\n";
?>
